intro = {logo = love.graphics.newImage("images/loveLogo.png"),
		r = 0,
		scalex = .75,
		scaley = .75,
	}
loveFont = love.graphics.newFont("fonts/ThrowMyHandsUpintheAirBold.ttf", 30)
love.graphics.setFont(loveFont)
intro.logox = intro.logo:getWidth()
intro.logoy = intro.logo:getHeight()
intro.cColor = {0,0,0,255}
intro.tColor = {131,192,240,0}
intro.lColor = {255,255,255,255}
time = 0
function updateIntro(dt)
	intro.sizex = intro.logox * intro.scalex
	intro.sizey = intro.logoy * intro.scaley
	intro.x = (love.graphics.getWidth()/2) - (intro.sizex/2)
	intro.y = (love.graphics.getHeight()/2) - (intro.sizey/2)
	intro.cx = love.graphics.getWidth()/2
	intro.cy = love.graphics.getHeight()/2
	if time > 70 and time <= 120 then
		intro.cColor[1] = intro.cColor[1] + (1 * 255/51)
		intro.cColor[2] = intro.cColor[2] + (1 * 255/51)
		intro.cColor[3] = intro.cColor[3] + (1 * 255/51)
	elseif time > 150 and time < 250 then
		intro.cColor[4] = intro.cColor[4] - (1 * 256/99) 
	elseif time > 300 and time < 400 then
		intro.tColor[4] = intro.tColor[4] + (1 * 255/100)
	elseif time > 800 and time < 1000 then
		intro.lColor[4] = intro.lColor[4] - (1 * 255/200)
		intro.tColor[4] = intro.tColor[4] - (1 * 255/201)
	elseif time > 1100 then
		state = "game"
	end
	time = time + 1
	delta = dt
end
function drawIntro()
	love.graphics.setColor(intro.lColor)
	love.graphics.draw(intro.logo, intro.x, intro.y, 0, intro.scalex, intro.scaley, 0,0)
	love.graphics.setColor(intro.cColor)
	love.graphics.circle("fill", intro.cx, intro.cy, (intro.sizex/2) - 10, 100)
	love.graphics.setColor(intro.tColor)
	love.graphics.printf( "Made with Löve", (love.graphics.getWidth()/2) - (intro.sizex + 5), (love.graphics.getHeight()/2) + (intro.sizey/2), 400, "center", 0, 1, 1, 0, 0, 0, 0 )
	love.graphics.setColor(255,255,255,255)
end
